Package org.codehaus.groovy.runtime.metaclass

# Class MultipleSetterProperty

java.lang.Object
groovy.lang.MetaProperty
org.codehaus.groovy.runtime.metaclass.MultipleSetterProperty

    public class MultipleSetterProperty
    extends MetaProperty

This class represents a property with multiple setters. Unlike a MetaBeanProperty you cannot get the setter in this case. Instead invocation is done through the meta class of the property recevier.

- ## Field Summary

  ### Fields inherited from class groovy.lang.MetaProperty

  `name, PROPERTY_SET_PREFIX, type`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MultipleSetterProperty​(java.lang.String name)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `MetaProperty` | `createStaticVersion()` |
  `CachedField` | `getField()` |
  `MetaMethod` | `getGetter()` |
  `java.lang.Object` | `getProperty​(java.lang.Object object)` |
  `void` | `setField​(CachedField f)` |
  `void` | `setGetter​(MetaMethod getter)` |
  `void` | `setProperty​(java.lang.Object object, java.lang.Object newValue)` | Sets the property on the given object to the new value

  ### Methods inherited from class groovy.lang.MetaProperty

  `getGetterName, getModifiers, getName, getSetterName, getType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultipleSetterProperty

    public MultipleSetterProperty​(java.lang.String name)

- ## Method Details

  - ### getProperty

    public java.lang.Object getProperty​(java.lang.Object object)
    Specified by:
      `getProperty` in class `MetaProperty`
    Returns:
      the property of the given object

  - ### setProperty

    public void setProperty​(java.lang.Object object, java.lang.Object newValue)
    Description copied from class: `MetaProperty`
    Sets the property on the given object to the new value
    Specified by:
      `setProperty` in class `MetaProperty`
    Parameters:
      `object` - on which to set the property
      `newValue` - the new value of the property

  - ### setField

    public void setField​(CachedField f)

  - ### getField

    public CachedField getField()

  - ### setGetter

    public void setGetter​(MetaMethod getter)

  - ### getGetter

    public MetaMethod getGetter()

  - ### createStaticVersion

    public MetaProperty createStaticVersion()